# Latest commit on Dec 20 2015: 5ad7cd5 - preparing tarball:
# git clone https://github.com/lwfinger/rtl8188eu.git
# git archive 

%global	module	8188eu
%global pname rtl%{module}

Name:		dkms-%{pname}
Version:	5.2.2.4
Release:	%mkrel 4
Source0:	%{pname}-%{version}.tar.xz
Patch0:		%{pname}-makefile3.patch

License:	GPLv2
Group:		System/Kernel and hardware
URL:		https://github.com/lwfinger/rtl8188eu
Summary:	dkms package for stand-alone RTL8188EU realtek driver
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Provides:	%{name}-%{version}
Provides:	kmod(%{pname}.ko) = %{version}
Requires: 	kernel
Requires:   gcc >= 10.2.0
Requires(post):		dkms
Requires(preun):	dkms

Obsoletes:	%{name} < %{version}-%{release}


%description
A kernel module for Realtek wireless network cards based on RTL8188EU chipset
--- USB 2.0 Network Adapter 150Mbps ---
+++ to find by search on synaptic :::
{USB_DEVICE(USB_VENDER_ID_REALTEK, 0x8179), .driver_info = RTL8188E}, /* 8188EUS */
{USB_DEVICE(USB_VENDER_ID_REALTEK, 0x0179), .driver_info = RTL8188E}, /* 8188ETV */
{USB_DEVICE(USB_VENDER_ID_REALTEK, 0xf179), .driver_info = RTL8188F}, /* 8188FU */
	/****** 8188EUS ********/
{USB_DEVICE(0x07B8, 0x8179), .driver_info = RTL8188E}, /* Abocom - Abocom */
{USB_DEVICE(0x0DF6, 0x0076), .driver_info = RTL8188E}, /* Sitecom N150 v2 */
{USB_DEVICE(0x2001, 0x330F), .driver_info = RTL8188E}, /* DLink DWA-125 REV D1 */
{USB_DEVICE(0x2001, 0x3310), .driver_info = RTL8188E}, /* Dlink DWA-123 REV D1 */
{USB_DEVICE(0x2001, 0x3311), .driver_info = RTL8188E}, /* DLink GO-USB-N150 REV B1 */
{USB_DEVICE(0x2001, 0x331B), .driver_info = RTL8188E}, /* D-Link DWA-121 rev B1 */
{USB_DEVICE(0x056E, 0x4008), .driver_info = RTL8188E}, /* Elecom WDC-150SU2M */
{USB_DEVICE(0x2357, 0x010c), .driver_info = RTL8188E}, /* TP-Link TL-WN722N v2 */
{USB_DEVICE(0x2357, 0x0111), .driver_info = RTL8188E}, /* TP-Link TL-WN727N v5.21 */
{USB_DEVICE(0x0B05, 0x18F0), .driver_info = RTL8188E}, /* ASUS USB-N10 Nano B1 */

%prep
%setup -qn %{pname}-%{version}
find -type f -exec chmod 0644 {} \;
%apply_patches

%install
%__rm -rf %{buildroot}
%__install -dm755 %{buildroot}%{_usrsrc}/%{pname}-%{version}-%{release}
%__cp -a ./* %{buildroot}%{_usrsrc}/%{pname}-%{version}-%{release}/
%__install -dm755 %{buildroot}/lib/firmware/rtlwifi
%__mv %{buildroot}%{_usrsrc}/%{pname}-%{version}-%{release}/rtl8188eufw.bin %{buildroot}/lib/firmware/rtlwifi/
%__cat <<EOF > %{buildroot}%{_usrsrc}/%{pname}-%{version}-%{release}/dkms.conf
PACKAGE_NAME="%{pname}"
PACKAGE_VERSION="%{version}-%{release}"
BUILT_MODULE_NAME="%{pname}"
DEST_MODULE_LOCATION="/kernel/3rdparty/%{pname}"
MAKE="'make' SKIP_STACK_VALIDATION=1 all"
AUTOINSTALL="yes"
CLEAN="'make' clean"
EOF

mkdir -p %{buildroot}/etc/modprobe.d
%__cat <<EOF > %{buildroot}/etc/modprobe.d/50-8188eu.conf
blacklist r8188eu
EOF

%post -n %{name}
/usr/sbin/dkms --rpm_safe_upgrade add -m %{pname} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{pname} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{pname} -v %{version}-%{release}

if [ "$1" = 1 ]; then
/sbin/modprobe %{pname} >/dev/null 2>&1
echo "Reloading network configuration ... "
/sbin/service network reload >/dev/null 2>&1
echo "%{pname}" >> /etc/modprobe.preload
fi

%preun -n %{name}
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{pname} -v %{version}-%{release} --all

if [ "$1" = 0 ]; then
/sbin/rmmod %{pname} >/dev/null 2>&1
echo "Reloading network configuration ... "
/sbin/service network reload >/dev/null 2>&1
sed -i '/%{pname}/ d' /etc/modprobe.preload
fi
## so prevent we not have empty folders in kernel-tree for next mklivecd ##
if [ ! -f /lib/modules/*/kernel/3rdparty/%{pname}/* ]; then
rm -r /lib/modules/*/kernel/3rdparty/%{pname} >/dev/null 2>&1
fi

%clean
%__rm -rf %{buildroot}

%files
%doc README.md
##CONTRIBUTORS.md LICENSE 
%defattr(-,root,root)
%{_usrsrc}/%{pname}-%{version}-%{release}
%config(noreplace) /lib/firmware/rtlwifi/rtl8188eufw.bin
%config(noreplace) /etc/modprobe.d/50-8188eu.conf


%changelog
* Fri Aug 21 2020 onkelho <oh.quait at gmail.com> - 5.2.2.4-4pclos2020
- rebuild, lwfinger fixed kernel-5.8 and more

* Fri Apr 10 2020 onkelho <oh.quait at gmail.com> - 5.2.2.4-3pclos2020
- rebuild -updates on source fixforkernel-5.6...
- add for ASUS USB-N10 Nano B1
- blacklist the staging/r8188eu in /etc/modprobe.d/50-8188eu.conf

* Thu Jan 02 2020 onkelho <oh.quait at gmail.com> - 5.2.2.4-2pclos2020 
- rebuild --Fix problem with policy 

* Wed Oct 23 2019 onkelho <oh.quait at gmail.com> - 5.2.2.4-1pclos2019
- new version release

* Tue Feb 27 2018 onkelho <oh.quait at gmail.com> 1.0-1pclos2018
- upated from 2018/02/04

* Sun Nov 04 2017 onkelho <oh.quait at gmail.com> 4.1.8_9499-1pclos2017
- rebuild -update from 14Jul2017
- fix buffer overrun warrning

* Sun Jun 18 2017 onkelho <oh.quait at gmail.com> 1.0-3pclos2017 
- rebuild -update -- add TP-Link

* Mon Mar 13 2017 onkelho <oh.quait at gmail.com> 1.0-2pclos2017 
- rtl8188eu: Fix API changes for kernel 4.11

* Sat Feb 18 2017 onkelho <oh.quait at t-online.de> 1.0-1pclos2017
- Initial build for PCLinuxOS

